[Non-static SeaMonkey] "Warning: package error or possible missing or unnecessary file: bin/libgfxpsshar.so (package-manifest, 54)."

RESOLVED FIXED in seamonkey2.1b1

Status

SeaMonkey
Build Config
RESOLVED FIXED
7 years ago
6 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

Trunk
seamonkey2.1b1
All
Linux
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Assignee)

Description

7 years ago
No warning:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1277759157.1277764821.30274.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/06/28 14:05:57

Warning:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1277803320.1277810614.3126.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/06/29 02:22:00
...
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1281640374.1281646039.12442.gz&fulltext=1
Linux comm-central-trunk leak test build on 2010/08/12 12:12:54
{
Warning: package error or possible missing or unnecessary file: bin/libgfxpsshar.so (package-manifest, 54).
}

My initial attempt for a regression timeframe found
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=00bf38db60e2&tochange=a9501fcd9c25
which is confusing me as nothing seems related :-/
(It looks like the timeframe is "just" _after_ the expected changeset, no?)

Anyway, the cause is bug 571989 comment 17
http://hg.mozilla.org/mozilla-central/rev/72b5eccbe07c

PS: See discussion in bug 585462 too...
Flags: in-testsuite-
(Assignee)

Updated

7 years ago
(Assignee)

Comment 1

7 years ago
Created attachment 465467 [details] [diff] [review]
(Av1) Stop packaging @DLL_PREFIX@gfxpsshar@DLL_SUFFIX@.
[Checkin: Comment 3]

Ftr, I'm (only) moving the lines in removed-files.in, to be safe,
though I wonder whether they could just be removed: see discussion in bug 585462).
Attachment #465467 - Flags: review?(kairo)
(Assignee)

Updated

7 years ago
Depends on: 515374
No longer depends on: 564654

Comment 2

7 years ago
Comment on attachment 465467 [details] [diff] [review]
(Av1) Stop packaging @DLL_PREFIX@gfxpsshar@DLL_SUFFIX@.
[Checkin: Comment 3]

gah, we're getting way too many ifdefs in removed-files.in, I'll be so happy once we can trash most of this infuriating mess.
Attachment #465467 - Flags: review?(kairo) → review+
(Assignee)

Comment 3

7 years ago
Comment on attachment 465467 [details] [diff] [review]
(Av1) Stop packaging @DLL_PREFIX@gfxpsshar@DLL_SUFFIX@.
[Checkin: Comment 3]

http://hg.mozilla.org/comm-central/rev/93c25054d748
Attachment #465467 - Attachment description: (Av1) Stop packaging @DLL_PREFIX@gfxpsshar@DLL_SUFFIX@. → (Av1) Stop packaging @DLL_PREFIX@gfxpsshar@DLL_SUFFIX@. [Checkin: Comment 3]
(Assignee)

Updated

7 years ago
Target Milestone: --- → seamonkey2.1b1
(Assignee)

Updated

7 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
(Assignee)

Updated

6 years ago
Blocks: 713134
No longer depends on: 515374
You need to log in before you can comment on or make changes to this bug.